## org.eclipse.emf.cdo.eresource.impl
Class EresourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.cdo.eresource.impl.EresourceFactoryImpl

All Implemented Interfaces:
  EresourceFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EresourceFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements EresourceFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.cdo.eresource.EresourceFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`EresourceFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertURIToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`CDOResource` `createCDOResource()`
`CDOResourceFolder` `createCDOResourceFolder()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`org.eclipse.emf.common.util.URI` `createURIFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EresourcePackage` `getEresourcePackage()`
`static EresourcePackage` `getPackage()` Deprecated.
`static EresourceFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### EresourceFactoryImpl

    public EresourceFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static EresourceFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createCDOResourceFolder

    public CDOResourceFolder createCDOResourceFolder()

  Specified by:
    `createCDOResourceFolder` in interface `EresourceFactory`
  Returns:
    a new object of class 'CDO Resource Folder'.
  Since:
    2.0

### createCDOResource

    public CDOResource createCDOResource()

  Specified by:
    `createCDOResource` in interface `EresourceFactory`
  Returns:
    a new object of class 'CDO Resource'.

### createURIFromString

    public org.eclipse.emf.common.util.URI createURIFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertURIToString

    public java.lang.String convertURIToString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.Object instanceValue)

### getEresourcePackage

    public EresourcePackage getEresourcePackage()

  Specified by:
    `getEresourcePackage` in interface `EresourceFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static EresourcePackage getPackage()

  Deprecated.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.